Last Comment Bug 301896 - Tab selection with Alt+NUM is reversed in BiDi layouts
: Tab selection with Alt+NUM is reversed in BiDi layouts
Status: RESOLVED WONTFIX
:
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Mano (::mano, needinfo? for any questions; not reading general bugmail)
:
: Dão Gottwald [:dao]
Mentors:
Depends on: 301897
Blocks: Persian
  Show dependency treegraph
 
Reported: 2005-07-23 23:09 PDT by Behnam Esfahbod [:zwnj]
Modified: 2005-08-29 17:07 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Behnam Esfahbod [:zwnj] 2005-07-23 23:09:07 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; he-IL; rv:1.7.6) Gecko/20050524 Firefox/1.0.4 (Ubuntu package 1.0.2 MFSA2005-44)
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; he-IL; rv:1.7.6) Gecko/20050524 Firefox/1.0.4 (Ubuntu package 1.0.2 MFSA2005-44)

Tab selection with Alt+NUM is reversed in BiDi (Arabic/Hebrew) layouts.

Just think they should be changed to Alt+0 for 1st tab, Alt+9 for 2nd tab, and
so on.

Any other idea?

Reproducible: Always

Steps to Reproduce:
1. Run mozilla/firefox with a bidi (i.e. he-IL) UILocal.
2. Open some tabs.
3. Use Alt+1, Alt+2, etc.
Comment 1 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2005-08-09 04:30:57 PDT
Hm, this is tricky, I think the current behavior is the better choice. That's,
Ctrl+1 selects the first tab, ctrl+2 selects the second tab etc.

Suggesting wontfix.

Comment 2 Behdad Esfahbod 2005-08-09 09:50:55 PDT
+1 for wontfix, unless a new proposal comes in.
Comment 3 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2005-08-29 17:07:26 PDT
-> wontfix.

Note You need to log in before you can comment on or make changes to this bug.